Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.jau.awt.windows
Class Win32HandleAccess

    java.lang.Object
      |
      +--gl4java.jau.awt.windows.Win32HandleAccess

All Implemented Interfaces:
  WinHandleAccess

public class Win32HandleAccess
extends java.lang.Object
implements WinHandleAccess

The ms-windows implementation for accessing the native window handle This class has no user servicable parts inside. It is used internally by GLFrame and by our package spoofed sun.awt classes that give us internal access to window variables that we need to set up the OpenGL drawing ontext

Version:
  0.1, 7. JULY 1998
Author:
  Sven Goethel
See Also:
  `WinHandleAccess`

Field Summary
`protected int` | `depth`
`protected sun.awt.DrawingSurfaceInfo` | `dsi`
`protected sun.awt.Win32DrawingSurface` | `wds`
`protected long` | `window`

Constructor Summary
`Win32HandleAccess()`

Method Summary
`protected void` | `achieveData(java.awt.Component c, java.awt.Graphics g)`
`int` | `getWinDepth(java.awt.Component c, java.awt.Graphics g)` gets some structure for windows, and drawable on Win32
`long` | `getWinHandle(java.awt.Component c, java.awt.Graphics g)` gets some structure for windows, and drawable on Win32

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dsi

    protected sun.awt.DrawingSurfaceInfo dsi

### wds

    protected sun.awt.Win32DrawingSurface wds

### window

    protected long window

### depth

    protected int depth

Constructor Detail

### Win32HandleAccess

    public Win32HandleAccess()

Method Detail

### achieveData

    protected void achieveData(java.awt.Component c,
                               java.awt.Graphics g)

### getWinHandle

    public long getWinHandle(java.awt.Component c,
                             java.awt.Graphics g)

  gets some structure for windows, and drawable on Win32
  Specified by:
    `getWinHandle` in interface `WinHandleAccess`

### getWinDepth

    public int getWinDepth(java.awt.Component c,
                           java.awt.Graphics g)

  gets some structure for windows, and drawable on Win32
  Specified by:
    `getWinDepth` in interface `WinHandleAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD